#ifndef _UMF_KEY_BOARD_H_
#define _UMF_KEY_BOARD_H_

typedef struct KeyBoardParam_t_
{
    INT32 dataLength;//recive data length
    INT32 StartCode;//recive data when revice StartCode
    INT32 EndCode;//finish recive when recive EndCode
}KeyBoardParam_t;

void keyBoard_Start(KeyBoardParam_t* pstKeyboard);
void keyBoard_Cancel(void);
INT32 keyBoard_GetRcDataLength(void);
INT32 keyBoard_GetRcValue(char *ReturnArray, INT32 Arraylength);

#endif
